## org.apache.poi.hwpf.sprm
Class SprmOperation

    java.lang.Object
      org.apache.poi.hwpf.sprm.SprmOperation

    @Internal
    public final class SprmOperation

extends java.lang.Object

This class is used to represent a sprm operation from a Word 97/2000/XP document.

Version:
  1.0
Author:
  Ryan Ackley

Field Summary
`static int` `PAP_TYPE` Deprecated.
`static int` `TAP_TYPE` Deprecated.
`static int` `TYPE_CHP`
`static int` `TYPE_PAP`
`static int` `TYPE_PIC`
`static int` `TYPE_SEP`
`static int` `TYPE_TAP`

Constructor Summary
`SprmOperation(byte[] grpprl, int offset)`

Method Summary
`byte[]` `getGrpprl()`
`int` `getGrpprlOffset()`
`int` `getOperand()`
`int` `getOperation()`
`static int` `getOperationFromOpcode(short opcode)`
`int` `getSizeCode()`
`int` `getType()`
`static int` `getTypeFromOpcode(short opcode)`
`int` `size()`
`byte[]` `toByteArray()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_PAP

    public static final int TYPE_PAP

See Also:
  Constant Field Values

### TYPE_CHP

    public static final int TYPE_CHP

See Also:
  Constant Field Values

### TYPE_PIC

    public static final int TYPE_PIC

See Also:
  Constant Field Values

### TYPE_SEP

    public static final int TYPE_SEP

See Also:
  Constant Field Values

### TYPE_TAP

    public static final int TYPE_TAP

See Also:
  Constant Field Values

### PAP_TYPE

    @Deprecated
    public static final int PAP_TYPE

  Deprecated.
  See Also:
    Constant Field Values

### TAP_TYPE

    @Deprecated
    public static final int TAP_TYPE

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### SprmOperation

    public SprmOperation(byte[] grpprl,
                         int offset)

Method Detail

### getOperationFromOpcode

    public static int getOperationFromOpcode(short opcode)

### getTypeFromOpcode

    public static int getTypeFromOpcode(short opcode)

### toByteArray

    public byte[] toByteArray()

### getGrpprl

    public byte[] getGrpprl()

### getGrpprlOffset

    public int getGrpprlOffset()

### getOperand

    public int getOperand()

### getOperation

    public int getOperation()

### getSizeCode

    public int getSizeCode()

### getType

    public int getType()

### size

    public int size()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.